Package com.io7m.cardant.shell

# Record Class CAShellConfiguration

java.lang.Object
java.lang.Record
com.io7m.cardant.shell.CAShellConfiguration

Record Components:
  `preferences` - The preferences service
  `locale` - The locale
  `clock` - The clock service
  `terminal` - The terminal

public record CAShellConfiguration(CAPreferencesServiceType preferences, Locale locale, Clock clock, Optional<org.jline.terminal.Terminal> terminal) extends Record
The shell configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAShellConfiguration(CAPreferencesServiceType preferences, Locale locale, Clock clock, Optional<org.jline.terminal.Terminal> terminal)`
  The shell configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Clock`
  `clock()`
  Returns the value of the `clock` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Locale`
  `locale()`
  Returns the value of the `locale` record component.
  `CAPreferencesServiceType`
  `preferences()`
  Returns the value of the `preferences` record component.
  `Optional<org.jline.terminal.Terminal>`
  `terminal()`
  Returns the value of the `terminal` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAShellConfiguration

    public CAShellConfiguration(CAPreferencesServiceType preferences, Locale locale, Clock clock, Optional<org.jline.terminal.Terminal> terminal)
    The shell configuration.
    Parameters:
      `preferences` - The preferences service
      `locale` - The locale
      `clock` - The clock service
      `terminal` - The terminal

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### preferences

    public CAPreferencesServiceType preferences()
    Returns the value of the `preferences` record component.
    Returns:
      the value of the `preferences` record component

  - ### locale

    public Locale locale()
    Returns the value of the `locale` record component.
    Returns:
      the value of the `locale` record component

  - ### clock

    public Clock clock()
    Returns the value of the `clock` record component.
    Returns:
      the value of the `clock` record component

  - ### terminal

    public Optional<org.jline.terminal.Terminal> terminal()
    Returns the value of the `terminal` record component.
    Returns:
      the value of the `terminal` record component